import { o as c, n as e, E as a, S as l } from "./index-DSGwv2Yx.js";
function p(n, r, o) {
  const s = e(n, "x", "slice", "string_or_numeric");
  if (s.rank === 0)
    throw new Error("Slicing scalar is not possible");
  const t = { x: s }, i = { begin: r, size: o };
  return a.runKernel(l, t, i);
}
const x = /* @__PURE__ */ c({ slice_: p });
export {
  x as s
};
